interface Package {
    name: string;
    version: string;
    description: string;
    links: {
        npm: string;
        homepage?: string;
        repository?: string;
        bugs?: string;
    };
    author: {
        name: string;
        email?: string;
        username?: string;
    };
    publisher: {
        email?: string;
        username?: string;
    };
}
declare class NpmApi {
    axios: import("axios").AxiosInstance;
    constructor();
    search(q: string, from?: number, size?: number): Promise<{
        total: number;
        results: {
            package: Package;
        }[];
    }>;
    get(name: string): Promise<{
        collected: {
            metadata: Package;
        };
    }>;
}
export declare const npmApi: NpmApi;
export {};
