import { Context, Session } from 'koishi-core';
export declare type Package = {
    name: string;
    version: string;
    author: string;
    description: string;
    workspaces?: string[];
};
export declare const pluginService: {
    ctx: Context;
    listFromLocal(root?: string, keyWords?: string[]): Package[];
    /**
     * install plugins to session
     *
     * @param plugins { string[] }     - wait install plugins
     * @param key     { K }            - select session type
     * @param values  { Session[K][] } - select value of session
     */
    installToSession<K extends keyof Session<never, never, never, keyof Session.Events, keyof Session.MessageType | "role" | "ban" | keyof Session.GroupMemberChangeType | "poke" | "lucky-king" | "honor">>(plugins: string[], key?: K, values?: Session<never, never, never, keyof Session.Events, keyof Session.MessageType | "role" | "ban" | keyof Session.GroupMemberChangeType | "poke" | "lucky-king" | "honor">[K][]): Promise<string>;
    installFromRemote(plugins: string[]): Promise<string[]>;
};
